Bug 1329356 - Clicking Download button on the Upgrade banner does nothing
Summary: Clicking Download button on the Upgrade banner does nothing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-21 17:37 UTC by Jiri Eischmann
Modified: 2016-04-22 09:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-22 09:46:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiri Eischmann 2016-04-21 17:37:43 UTC
I followed the tutorial (https://blogs.gnome.org/hughsie/2016/04/20/upgrading-fedora-23-to-24-using-gnome-software/) to set up my F23 to test the UI upgrade.

The banner informing about a new distro release shows up, but when I click 'Download' it does nothing.

When I start gnome-software I get this message:

Gs-WARNING **: failed to open plugin /usr/lib64/gs-plugins-9/libgs_plugin_packagekit-upgrade.so: /usr/lib64/gs-plugins-9/libgs_plugin_packagekit-upgrade.so: undefined symbol: packagekit_status_enum_to_plugin_status

I'm using gnome-software 3.20.2.

Comment 1 Richard Hughes 2016-04-21 18:02:12 UTC
Gahh, I messed up the package. I'll respin later tonight, thanks.

Comment 2 Richard Hughes 2016-04-21 18:38:15 UTC
Can you try with 0.178.20160421git please. Thanks!

Comment 3 Jiri Eischmann 2016-04-22 08:31:31 UTC
The update solves the problem of the Download button doing nothing, it clearly triggers something, but I'm not sure what, I hit this: https://bugzilla.redhat.com/show_bug.cgi?id=1329548 and it failed to download packages for the upgrade.


Note You need to log in before you can comment on or make changes to this bug.